# Querying Tags of a Resource

#### Function

Query tags of a specified resource.

#### URI

GET /v2/{project_id}/{resource_type}/{resource_id}/tags

For details, see Table 1.

Table 1 Parameters in the URI
Parameter | Mandatory | Type | Description
--- | --- | --- | ---
project_id | Yes | String | Project ID. You can obtain it in Obtaining a Project ID.
resource_type | Yes | String | Resource type, which can be DNS-public_zone, DNS-private_zone, DNS-public_recordset, DNS-private_recordset, or DNS-ptr_record
resource_id | Yes | String | Resource ID

#### Request

- Parameter description

  None

- Example request
  Query tags of the private zone whose ID is ff8080825b8fc86c015b94bc6f8712c3:

      GET https://{DNS_Endpoint}/v2/{project_id}/DNS-private_zone/ff8080825b8fc86c015b94bc6f8712c3/tags

#### Response

- Parameter description

  Table 2 Parameter in the response
  Parameter | Type | Description
  --- | --- | ---
  tags | Array of object | Tag list. For details, see Table 2.

- Example response

      {
          "tags": [
              {
                  "key": "key1",
                  "value": "value1"
              },
              {
                  "key": "key2",
                  "value": "value2"
              }
          ]
      }

#### Returned Value

If the API call returns a code of 2xx, for example, 200, 202, or 204, the request is successful.

For details, see Status Code.

Parent topic: Tag Management